////////////////////////////////////////////////////////////////////////
// Skeet Shooting Map -- Shaders
// -----------------------------
// Developed in less than a week so expect some messy bits.
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/whitelight
{
	qer_editorimage textures/azlcmb1_skeet/whitelight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 12000
	surfaceparm trans
	q3map_lightimage textures/azlcmb1_skeet/whitelight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet/whitelight.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bluelight
{
	qer_editorimage textures/azlcmb1_skeet/bluelight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 12000
	surfaceparm trans
	q3map_lightimage textures/azlcmb1_skeet/bluelight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet/bluelight.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/glassclear
{
	qer_editorimage textures/azlcmb1_skeet/glass.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/azlcmb1_skeet/glassclear.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}	
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/redbrick1
{
    qer_editorimage textures/azlcmb1_skeet/redbrick1.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/redbrick1.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/concrete
{
    qer_editorimage textures/azlcmb1_skeet/concrete.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/concrete.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/red_tiled_wall
{
    qer_editorimage textures/azlcmb1_skeet/red_tiled_wall.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/red_tiled_wall.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/strip_cement
{
    qer_editorimage textures/azlcmb1_skeet/strip_cement.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/strip_cement.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/tiled_floor1
{
    qer_editorimage textures/azlcmb1_skeet/tiled_floor1.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/tiled_floor1.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
// This has a normal map to add some sheen
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/newwood
{
    qer_editorimage textures/azlcmb1_skeet/newwood.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/newwood.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/whitepaint
{
    qer_editorimage textures/azlcmb1_skeet/whitepaint.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/whitepaint.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/redleather
{
    qer_editorimage textures/azlcmb1_skeet/redleather.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/redleather.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/tvmonitor
{
	qer_editorimage textures/azlcmb1_skeet/monitor.tga
	q3map_lightimage textures/azlcmb1_skeet/monitor_colour.jpg
	q3map_surfacelight 1200
	portal
	{
		map textures/azlcmb1_skeet/monitor_colour.jpg
		blendFunc filter
		depthWrite
	}
	{
		map textures/azlcmb1_skeet/monitor_colour.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 2048
		rgbGen identityLighting	
	}
	{
		map textures/azlcmb1_skeet/monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/thesky
{
	qer_editorimage env/azlcmb1_skeet/grimmnight_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 200
	surfaceparm sky
	q3map_sun 1 1 1 100 350 45
	skyparms env/azlcmb1_skeet/grimmnight - -
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/mapmade
{
    qer_editorimage textures/azlcmb1_skeet/signs/mapmade.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/signs/mapmade.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bigsign1
{
    qer_editorimage textures/azlcmb1_skeet/signs/bfs1.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/signs/bfs1.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bigsign2
{
    qer_editorimage textures/azlcmb1_skeet/signs/bfs2.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/signs/bfs2.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bigsign3
{
    qer_editorimage textures/azlcmb1_skeet/signs/bfs3.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/signs/bfs3.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bigsign4
{
    qer_editorimage textures/azlcmb1_skeet/signs/bfs4.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/signs/bfs4.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
// The scrolling previous winners sign
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bigsign5
{
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1500
	qer_editorimage textures/azlcmb1_skeet/signs/winners.tga
	{
		map textures/azlcmb1_skeet/signs/winners.tga
		tcmod scroll 0 0.1
		rgbGen identity
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bigsign6
{
    qer_editorimage textures/azlcmb1_skeet/signs/bfs6.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/signs/bfs6.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/bigsign8
{
    qer_editorimage textures/azlcmb1_skeet/signs/bfs8.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/signs/bfs8.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/floorstar
{	
    qer_editorimage textures/azlcmb1_skeet/signs/floorstar.tga
	surfaceparm alphashadow
	nopicmip
	{
		map textures/azlcmb1_skeet/signs/floorstar.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/red_carpet_lol
{
    qer_editorimage textures/azlcmb1_skeet/red_carpet_lol.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/red_carpet_lol.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/sign_side
{
    qer_editorimage textures/azlcmb1_skeet/sign_side.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_skeet/sign_side.tga
		blendFunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/lounge_sign
{
	qer_editorimage textures/azlcmb1_skeet/signs/lounge_sign.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/azlcmb1_skeet/signs/lounge_sign.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet/signs/lounge_sign.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/dump_sign
{
	qer_editorimage textures/azlcmb1_skeet/signs/dump_sign.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/azlcmb1_skeet/signs/dump_sign.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet/signs/dump_sign.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/arena_sign
{
	qer_editorimage textures/azlcmb1_skeet/signs/arena_sign.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/azlcmb1_skeet/signs/arena_sign.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet/signs/arena_sign.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/ammo_sign
{
	qer_editorimage textures/azlcmb1_skeet/signs/ammo_sign.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/azlcmb1_skeet/signs/ammo_sign.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet/signs/ammo_sign.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/azlcmb1_skeet
{	
    qer_editorimage textures/azlcmb1_skeet/signs/skeetshooting.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/azlcmb1_skeet/signs/skeetshooting.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/skeetshooting_light
{ 
	qer_editorimage textures/azlcmb1_skeet/signs/skeetshooting_light.tga
	qer_trans 0.75
	polygonOffset
	sort 6
	nomipmaps
	nopicmip
    surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/azlcmb1_skeet/signs/skeetshooting_light.tga
		rgbgen identity
		alphaFunc GT0
		blendfunc blend
		depthwrite
	}
	{
		map $whiteimage
		depthfunc equal
		blendfunc filter
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/skeetadvert
{
	qer_editorimage textures/azlcmb1_skeet/signs/skeetadvert.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/azlcmb1_skeet/signs/skeetadvert.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_skeet/signs/skeetadvert.tga
	}
}
////////////////////////////////////////////////////////////////////////
textures/azlcmb1_skeet/newtvscreen
{
	qer_editorimage textures/azlcmb1_skeet/monitor.tga
	q3map_lightimage textures/azlcmb1_skeet/monitor_colour.jpg
	q3map_surfacelight 1200
	portal
	{
		map textures/azlcmb1_skeet/monitor_colour.jpg
		blendFunc filter
		depthWrite
	}
	{
		map textures/azlcmb1_skeet/monitor_colour.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting	
	}
	{
		map textures/azlcmb1_skeet/monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
